Page MenuHomePhabricator

Enable FlaggedRevs with whole reviewer system on hi.wikipedia.org
Closed, InvalidPublic

Description

Author: mayurdce

Description:
Please install or enable Enable flagged rev with whole reveiwer system as following

*flagged protection too
*FlaggedRevs custom configuration

  • 1 parameter with 3 levels (unapproved/sighted/reviewed)
  • Display latest reviewed version
  • Flag all spaces
  • Reviewers may set all levels

and give following rights to reveiwer
*Edit semi-protected pages (autoconfirmed)
*Have one's own edits automatically marked as "checked" (autoreview)
*Mark revisions as being "checked" (review)
*Mark revisions as being "quality" (validate)
*View recent changes patrol marks (patrolmarks)
*View the list of unreviewed pages (unreviewedpages)
*Mark others' edits as patrolled (patrol)

Communtity consensus link-http://hi.wikipedia.org/wiki/%E0%A4%B5%E0%A4%BF%E0%A4%95%E0%A4%BF%E0%A4%AA%E0%A5%80%E0%A4%A1%E0%A4%BF%E0%A4%AF%E0%A4%BE:%E0%A4%9A%E0%A5%8C%E0%A4%AA%E0%A4%BE%E0%A4%B2#Apply_reveiwer_.26_partrolled_system_and_Enable_Some_User_Groups_.28autopatroller.2C_reveiwers.29

Thank you & Regards
                         Mayur kumar

Version: unspecified
Severity: normal
URL: http://hi.wikipedia.org/wiki/%E0%A4%B5%E0%A4%BF%E0%A4%95%E0%A4%BF%E0%A4%AA%E0%A5%80%E0%A4%A1%E0%A4%BF%E0%A4%AF%E0%A4%BE:%E0%A4%9A%E0%A5%8C%E0%A4%AA%E0%A4%BE%E0%A4%B2#Apply_reveiwer_.26_partrolled_system_and_Enable_Some_User_Groups_.28autopatroller.2C_reveiwers.29

Details

Reference
bz24622

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:11 PM
bzimport set Reference to bz24622.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Aug 1 2010, 4:41 PM

mayurdce wrote:

How much time it will take to install these features. please install these features as soon as possible.hindi wiki will be greatful to Bugzilla

mayurdce wrote:

Please install or enable Enable flagged rev with whole reveiwer system as
following

*flagged protection too
*FlaggedRevs custom configuration

  • 1 parameter with 3 levels (unapproved/sighted/reviewed)
  • Display latest reviewed version
  • Flag all spaces
  • Reviewers may set all levels

and give following rights to reveiwer
*Edit semi-protected pages (autoconfirmed)
*Have one's own edits automatically marked as "checked" (autoreview)
*Mark revisions as being "checked" (review)
*Mark revisions as being "quality" (validate)
*View recent changes patrol marks (patrolmarks)
*View the list of unreviewed pages (unreviewedpages)
*Mark others' edits as patrolled (patrol)

Communtity consensus link is here-http://hi.wikipedia.org/wiki/%E0%A4%B5%E0%A4%BF%E0%A4%95%E0%A4%BF%E0%A4%AA%E0%A5%80%E0%A4%A1%E0%A4%BF%E0%A4%AF%E0%A4%BE:%E0%A4%9A%E0%A5%8C%E0%A4%AA%E0%A4%BE%E0%A4%B2/%E0%A4%AA%E0%A5%81%E0%A4%B0%E0%A4%BE%E0%A4%B2%E0%A5%87%E0%A4%96_20#Apply_reveiwer_.26_partrolled_system_and_Enable_Some_User_Groups_.28autopatroller.2C_reveiwers.29

mayurdce wrote:

also Enable FlaggedRevs custom configuration

RobH added a comment.Aug 30 2010, 4:40 PM

I do not see a single project that flags every single namespace, which would mean it would flag talk pages, as well as the user pages, which just is not done anywhere else.

I am assuming you mean to flag all spaces that are normally edited for content by multiple people that are not talk pages or user pages.

RobH added a comment.Aug 30 2010, 5:29 PM

I have pushed this live and it should be working properly. Please try it out, and if there is anything incorrect or that requires changes, please do not hesitate to add it to this ticket (which will reopen it) and pinging me about it.

RobH added a comment.Aug 30 2010, 5:57 PM

Confirmed not working, reopened.

flaggedrevs.php:

else if( $wgDBname == 'hiwiki' ) {

$wgFlaggedRevsNamespaces = array( NS_MAIN, NS_IMAGE, NS_TEMPLATE );

$wgFlaggedRevTags = array(
        'status' => array( 'levels' => 3, 'quality' => 2, 'pristine' => 3 ),
);
$wgFlagRestrictions = array(
        'status' => array( 'review' => 3, autoreview => 3),
);
$wgFlaggedRevsOverride = true;
 $wgGroupPermissions['reviewer']['autoreview'] = true;
 $wgGroupPermissions['reviewer']['autoconfirmed'] = true;
 $wgGroupPermissions['reviewer']['autopatrol'] = true;
 $wgGroupPermissions['reviewer']['patrol'] = true;
 $wgGroupPermissions['reviewer']['review'] = true;
 $wgGroupPermissions['reviewer']['unreviewedpages'] = true;
 $wgGroupPermissions['reviewer']['validate'] = true;

}

Also added sysops permission to grant/revoke reviewer group. Added the hiwiki to the flaggedrevs.dblist

mayurdce wrote:

rob also don't give automatically flag protection to each article, we asked for flag protection. to some articles of our choices.Otherwise flag protection to each article will become a emergency case.it shuould be like english wiki system

mayurdce wrote:

it should be like eng wiki syatem and to add/remove right to a reveiwer should be given to bureacrats only.Thank you

RobH added a comment.Aug 30 2010, 6:57 PM

There seems to have been some kind of miscommunication here. It turns out the system IS WORKING and those testing it were just not using a user with the 'reviewer' group.

I myself do not have the fonts functioning properly on my own sysetm, so I had to rely on others for testing. I have worked with Mayur on IRC to get this working. (We will get it done!!!)

RobH added a comment.Aug 30 2010, 7:37 PM

Per above comments and discussion in IRC, the settings for hiwiki have been set to be identical to enwiki and pushed live.

RobH added a comment.Aug 30 2010, 7:53 PM

Some more changes, and confusion, and resolution. This will teach me never to do ticket stuff in IRC, as without the papertrail, there is confusion.

mayurdce wrote:

However this bug was nicely resolved by rob, but there are some thing left.please improve it too.
like in Automatic edit review while giving protection to any page there are 3 options in it-
#Allow all users
#flaggedrevs-protect-autoconfirmed
#flaggedrevs-protect-reveiw

Basically we want one more option that was by default i think-
#flaggedrevs-protect-sysopp

alog with please also enable this for "namespace- wikipedia"

Thank you and regards

mayurdce wrote:

However this bug was nicely resolved by rob, but there are some thing
left.please improve it too.
like in Automatic edit review while giving protection to any page there are 3
options in it-
#Allow all users
#flaggedrevs-protect-autoconfirmed
#flaggedrevs-protect-reveiw

Basically we want one more option that was by default i think-
#flaggedrevs-protect-sysopp

alog with please also enable this for "namespace- wikipedia"
#$wgFlaggedRevsNamespaces = array( NS_MAIN, NS_IMAGE, NS_TEMPLATE ) change it into
#$wgFlaggedRevsNamespaces = array( NS_MAIN, NS_Wikipedia, NS_IMAGE, NS_TEMPLATE )

Also please enable "unaccepted" option while reveiwing ang flaged protected page.Only one option is given which is "accepted".

Thank you and regards

mayurdce wrote:

However this bug was nicely resolved by rob, but there are some thing
left.please improve it too.
like in Automatic edit review while giving protection to any page there are 3
options in it-
#Allow all users
#flaggedrevs-protect-autoconfirmed
#flaggedrevs-protect-reveiw

Basically we want some more option that was by default i think-
#flaggedrevs-protect-sysopp
#flaggedrevs-protect-bureaucrats

alog with please also enable this for "namespace- wikipedia"

#$wgFlaggedRevsNamespaces = array( NS_MAIN, NS_Wikipedia, NS_IMAGE, NS_TEMPLATE
)

Also please enable "unaccepted" option while reveiwing ang flaged protected
page.Only one option is given which is "accepted".

Thank you and regards
aaron added a comment.Sep 1 2010, 10:19 PM

wgFlaggedRevsProtection was made only with the Pending Changes enwiki proposal in mind. The trail may not even pass and continue. No other wikis should be using this now (not yet at least).

I'll talk to Rob A. about this tomorrow to see what to do.

mayurdce wrote:

But it is working well in hindi wiki.We have set our protected pages to reveiwer level so that every one may edit.It was a good proposal.Eng wiki may have some other issues.

mayurdce wrote:

ANd inspite of giving flag protection to each namespace it would be better to do it only with imp and coutinuously vandalised articles.I will request you to maintain currents setting with some modification as i told in staement 14

mayurdce wrote:

please improve these .
like in Automatic edit review while giving protection to any page there are 3
options in it-
#Allow all users
#flaggedrevs-protect-autoconfirmed
#flaggedrevs-protect-reveiw

Basically we want some more option that was by default i think-
#flaggedrevs-protect-sysopp
#flaggedrevs-protect-bureaucrats

mayurdce wrote:

shows place to modify

please improve these .
like in Automatic edit review while giving protection to any page there are 3
options in it-
#Allow all users
#flaggedrevs-protect-autoconfirmed
#flaggedrevs-protect-reveiw

Basically we want some more option that was by default i think-
#flaggedrevs-protect-sysopp
#flaggedrevs-protect-bureaucrats

Attached:

mayurdce wrote:

In this attachment i have described and shown that we need one more protection level of reveiw from admin that was by default

just update image

Attached:

RobH added a comment.Nov 11 2010, 7:12 PM

Since Aaron raised a valid concern for this extension on this wiki, I am curious as to if I should be making these changes.

I am assigning this ticket to him for him to review, then we can move forward from there. Aaron, if this isn't ok, I apologize, let me know!

Adding a "sysop" level isn't that hard. BCrat would be a bit harder and sounds like bad policy anyway.

mayurdce wrote:

Ok, Then add sysop level along with reveiwer if possible, otherwise close the bug

#Allow all users
#flaggedrevs-protect-autoconfirmed
#flaggedrevs-protect-reveiw
#flaggedrevs-protect-sysop

mayurdce wrote:

As Aaron has given his review i am reassigning this bug to rob

RobH added a comment.Dec 1 2010, 7:08 PM

I think this is all setup now. Please check and reopen this bug if it is not correct.

mayurdce wrote:

Plz also enable following array in flaggedrevs.php for Hindi wiki-

/# namespaces

$wgFlaggedRevsNamespaces = array( NS_MAIN, NS_IMAGE, NS_TEMPLATE, NS_CATEGORY, 100 ); # 100 = Portal
$wgFeedbackNamespaces = array( NS_MAIN );

//# levels
$wgFlaggedRevsFeedbackTags = array( 'reliability' => 3, 'completeness' => 2, 'npov' => 2, 'presentation' => 1 );

//# non-reviewers

$wgGroupPermissions['bot']['autoreview'] = true;

$wgGroupPermissions['*']['feedback'] = true;

and also remove this array of trial quota-
$wgFlaggedRevsProtectQuota = 2000;

So basically the whole setting will be like that as mentioned below-

hiwiki

elseif ( $wgDBname == 'hiwiki' ) {

//# namespaces
$wgFlaggedRevsNamespaces = array( NS_MAIN, NS_IMAGE, NS_TEMPLATE, NS_CATEGORY, 100 ); # 100 = Portal
$wgFeedbackNamespaces = array( NS_MAIN );

//# levels
$wgFlaggedRevsFeedbackTags = array( 'reliability' => 3, 'completeness' => 2, 'npov' => 2, 'presentation' => 1 );
# Show only on a per-page basis
$wgFlaggedRevsOverride = false;
$wgFlaggedRevsReviewForDefault = true;
# We have only one tag with one level
$wgFlaggedRevTags = array(
    'status' => array( 'levels' => 1, 'quality' => 2, 'pristine' => 3 ),
);
# Restrict autoconfirmed to flagging semi-protected
$wgFlagRestrictions = array(
    'status' => array( 'review' => 1, 'autoreview' => 1 ),
);
# Restriction levels for auto-review/review rights
$wgFlaggedRevsRestrictionLevels = array( '', 'autoconfirmed', 'review', 'sysop' );
# Use flag "protection" levels
$wgFlaggedRevsProtection = true;
# Use current templates/files
$wgFlaggedRevsHandleIncludes = FR_INCLUDES_CURRENT;
# Group permissions for autoconfirmed
$wgGroupPermissions['autoconfirmed']['autoreview'] = true;

# Group permissions for sysops
$wgGroupPermissions['sysop']['review']         = true;
$wgGroupPermissions['sysop']['stablesettings'] = true;

# Group permissions for non-reviewers
$wgGroupPermissions['bot']['autoreview'] = true;
$wgGroupPermissions['*']['feedback'] = true;
# Use 'reviewer' group
$wgAddGroups['bureaucrat'][] = 'reviewer';
$wgRemoveGroups['bureaucrat'][] = 'reviewer';
# Remove 'editor' group
unset( $wgGroupPermissions['editor'] );
$wgAddGroups['sysop'] = array_diff( $wgAddGroups['sysop'], array( 'editor' ) );
$wgRemoveGroups['sysop'] = array_diff( $wgRemoveGroups['sysop'], array( 'editor' ) );

Basically this for enabling feedback section of this extension and some more modification.Thanks in Advance

Regards
Mayur Kumar

aaron added a comment.Jul 15 2011, 6:26 PM

The Feedback part was split off into ReaderFeedback, which is itself deprecated. The ArticleFeedback extension is replacing it.

mayurdce wrote:

(In reply to comment #28)

The Feedback part was split off into ReaderFeedback, which is itself
deprecated. The ArticleFeedback extension is replacing it.

As per http://noc.wikimedia.org/conf/highlight.php?file=InitialiseSettings.php, this is flagrev feedback feature is available in huwiki config, if Article feedback extension is developed in future, we shall test it and go for it as per community need.But as of now we have tested it no hu wiki and liked the current system.Regards

mayurdce wrote:

As per http://noc.wikimedia.org/conf/highlight.php?file=flaggedrevs.php, this is flagrev feedback feature is available in huwiki config, if Article
feedback extension is developed in future, we shall test it and go for it as
per community need.But as of now we have tested it on huwiki and liked the
current system.Regards

Jorm added a comment.Jul 15 2011, 6:44 PM

Hi Mayur!

The Article Feedback Tool *has* been developed and is currently being tested. I would suggest you wait until we're ready for further deployments of the tool; at which time you can request it to be deployed on hiwiki.

mayurdce wrote:

(In reply to comment #31)

Hi Mayur!
The Article Feedback Tool *has* been developed and is currently being tested.
I would suggest you wait until we're ready for further deployments of the tool;
at which time you can request it to be deployed on hiwiki.

Hi Brandon Harris,

Thanks for your suggestion, But we will like to go with current option as we have tested it on hu wiki.For Article feedback we will test it on testwiki or somewhere else if it works fine then we will think about that.But as of now we are fine with current changes as mentioned below.Regards

jeluf wrote:

Please don't recycle old bugs for new requests. The request from July 15 is a request on its own and is no fix of the original request.

If you set a bug to "REOPENED", this means that the initial fix didn't work for some reason, which is not the case here. Thank you for your support.

Jorm added a comment.Jul 15 2011, 6:58 PM

I'm sorry, Mayur. We are not going to deploy Reeder Feedback or the version included in Flagged Revs as we are not maintaining them nor will we do so in the future.

We have shifted focus to the Article Feedback Tool. You can test it on the English Wikipedia if you so desire, or on testwiki. It likely requires localization into Hindi.